#553 No One Has Planets At Game Start

Latest Subversion
closed-fixed
nobody
None
5
2014-02-02
2014-01-26
Paul DesRivieres
No

I tried the latest two test builds 6637 & 6654, running on my MacBook Pro running OSX 10.8.5, and at game start no one (both AIs and human player) has any planets! The galaxy is empty!

I tried v0.4.3 and it did not have this issue.

Paul D.

Related

Bugs: #553

Discussion

  • Vezzra
    Vezzra
    2014-01-26

    Tomorrow evening (Monday 27th, UTC) new test builds will be uploaded. Please try again with these, and if the issue persists, please post a bug report on the support forum (http://freeorion.org/forum/viewforum.php?f=25) and attach the log files to your posting.

    You can find the log files in [your home directory]/Library/Application Support/FreeOrion/

     
  • I tried the new test build for a new single player game and after generating the Universe it reports "Connection to the Server is Lost". I get this error everytime and I had an active broadband Internet connection. Why is it trying to connect to the server for a SINGLE player game?

    I have attached a GZIP tarball with all the logs.
    tar ztf FreeOrion.tar.gz
    FreeOrion/
    FreeOrion/AI_1.log
    FreeOrion/AI_2.log
    FreeOrion/AI_3.log
    FreeOrion/AI_4.log
    FreeOrion/AI_5.log
    FreeOrion/AI_6.log
    FreeOrion/config.xml
    FreeOrion/freeorion.log
    FreeOrion/freeoriond.log
    FreeOrion/ogre.log
    FreeOrion/save/
    FreeOrion/save/auto/

     
    Attachments
  • Vezzra
    Vezzra
    2014-01-29

    FreeOrion is designed as a client-server application, meaning that even for single player games you have separate client and server processes running on your computer, which communicate via the network stack.

    The message you get is caused by the server process crashing, so the client loses the (network) connection tho the server process and displays an according error message. That has nothing to do with your internet connection.

    I've already found some very strange error messages in the server log file that might indicate what's going wrong here. Unfortunately that looks quite tricky, fixing that might take a while.

     
    • Oh you have them communicating via network connections to localhost(127.0.0.1) rather than shared memory, named pipes, or other forms of inter-process communication.  I guess you made this choice to maximize code sharing between the single and multi-player code and between different operating systems since everyone supports TCP/IP and UDP/IP.

      Paul D.


      From: Vezzra vezzra@users.sf.net
      To: [freeorion:bugs] 553@bugs.freeorion.p.re.sf.net
      Sent: Wednesday, January 29, 2014 3:18 PM
      Subject: [freeorion:bugs] #553 No One Has Planets At Game Start

      FreeOrion is designed as a client-server application, meaning that even for single player games you have separate client and server processes running on your computer, which communicate via the network stack.
      The message you get is caused by the server process crashing, so the client loses the (network) connection tho the server process and displays an according error message. That has nothing to do with your internet connection.
      I've already found some very strange error messages in the server log file that might indicate what's going wrong here. Unfortunately that looks quite tricky, fixing that might take a while.


      [bugs:#553] No One Has Planets At Game Start
      Status: open
      Created: Sun Jan 26, 2014 03:28 AM UTC by Paul DesRivieres
      Last Updated: Wed Jan 29, 2014 07:42 PM UTC

      Owner: nobody
      I tried the latest two test builds 6637 & 6654, running on my MacBook Pro running OSX 10.8.5, and at game start no one (both AIs and human player) has any planets! The galaxy is empty!
      I tried v0.4.3 and it did not have this issue.
      Paul D.


      Sent from sourceforge.net because you indicated interest in https://sourceforge.net/p/freeorion/bugs/553/
      To unsubscribe from further messages, please visit https://sourceforge.net/auth/subscriptions/

       

      Related

      Bugs: #553

      Attachments
      • Vezzra
        Vezzra
        2014-02-03

        Exactly :)

         
  • Vezzra
    Vezzra
    2014-01-30

    Ok, I fixed something that might be the cause for the error messages in your server log, hopefully that takes care of this issue. The fix has already be committed to SVN, so the next test builds which are going to be provided coming Monday (Feb 3rd) evening (UTC) will already contain it. Please try again with that build and report back.

     
  • Vezzra
    Vezzra
    2014-01-31

    Upon request I put up an extra test build for OSX that contains the fix. You can grab this build and try if it works on your system.

    Download link

     
    • I posted the following response on the forum ticket:

      I tried the new build and confirmed it resolves the startup issue. I
      upped the standard number of star systems/planets and AIs and had no
      problems with startup. I played, a few turns, saved and reloaded
      without any problems.

      Paul D.


      From: Vezzra vezzra@users.sf.net
      To: [freeorion:bugs] 553@bugs.freeorion.p.re.sf.net
      Sent: Friday, January 31, 2014 3:10 PM
      Subject: [freeorion:bugs] #553 No One Has Planets At Game Start

      Upon request I put up an extra test build for OSX that contains the fix. You can grab this build and try if it works on your system.
      Download link


      [bugs:#553] No One Has Planets At Game Start
      Status: open
      Created: Sun Jan 26, 2014 03:28 AM UTC by Paul DesRivieres
      Last Updated: Thu Jan 30, 2014 11:52 AM UTC

      Owner: nobody
      I tried the latest two test builds 6637 & 6654, running on my MacBook Pro running OSX 10.8.5, and at game start no one (both AIs and human player) has any planets! The galaxy is empty!
      I tried v0.4.3 and it did not have this issue.
      Paul D.


      Sent from sourceforge.net because you indicated interest in https://sourceforge.net/p/freeorion/bugs/553/
      To unsubscribe from further messages, please visit https://sourceforge.net/auth/subscriptions/

       

      Related

      Bugs: #553

      Attachments
  • Geoff Topping
    Geoff Topping
    2014-01-31

    • status: open --> closed-fixed
    • Group: v0.4.3 --> Latest Subversion
     
  • I tried the new build and confirmed it resolves the startup issue. I upped the standard number of star systems/planets and AIs and had no problems with startup. I played, a few turns, saved and reloaded without any problems.

     
    • Vezzra
      Vezzra
      2014-02-03

      Thanks for the confirmation!